.topnav {
	overflow: hidden;
	background-color: var(--col-accent);
}

.topnav a {
	float: left;
	display: block;
	color: var(--col-text);
	text-align: center;
	padding: 14px 16px;
	text-decoration: none;
	font-size: 17px;

	transition-duration: 0.25s;
}

.topnav .icon {
	display: none;
}

.dropdown {
	float: left;
	overflow: hidden;
}

.dropdown .dropbtn {
	font-size: 17px;
	border: none;
	outline: none;
	color: var(--col-text);
	padding: 14px 16px;
	background-color: inherit;
	font-family: inherit;
	margin: 0;

	transition-duration: 0.25s;
}

.dropdown-content {
	display: none;
	position: absolute;
	background-color: var(--col-accent);
	min-width: 160px;
	box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
	z-index: 1;
}

.dropdown-content a {
	float: none;
	color: var(--col-text);
	padding: 12px 16px;
	text-decoration: none;
	display: block;
	text-align: left;
}


.topnav a:hover, .dropdown:hover .dropbtn {
	background-color: var(--col-accent-light);
	color: var(--col-text);
}

.dropdown-content a:hover {
	background-color: var(--col-accent-light);
	color: var(--col-text);
}

.dropdown:hover .dropdown-content {
	display: block;
}


.active {
	background: var(--col-main-gradient) !important;
	color: var(--col-text) !important;
	text-shadow: 2px 2px var(--col-text-negative) !important;
}


@media screen and (max-width: 600px) {
	.topnav a:not(:first-child), .dropdown .dropbtn {
		display: none;
	}
	.topnav a.icon {
		float: right;
		display: block;
	}
}

@media screen and (max-width: 600px) {
	.topnav.responsive {position: relative;}
	.topnav.responsive .icon {
		position: absolute;
		right: 0;
		top: 0;
	}
	.topnav.responsive a {
		float: none;
		display: block;
		text-align: left;
	}
	.topnav.responsive .dropdown {float: none;}
	.topnav.responsive .dropdown-content {position: relative;}
	.topnav.responsive .dropdown .dropbtn {
		display: block;
		width: 100%;
		text-align: left;
	}
}
